Bug 1149704 - FTBFS: 2) Error: SQLite3::TestEncoding#test_insert_encoding: SQLite3::SQLException: table ex already exists
Summary: FTBFS: 2) Error: SQLite3::TestEncoding#test_insert_encoding: SQLite3::SQLExce...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-sqlite3
Version: 21
Hardware: ppc64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Josef Stribny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2014-10-06 13:47 UTC by Karsten Hopp
Modified: 2016-01-04 05:53 UTC (History)
3 users (show)

Fixed In Version: rubygem-sqlite3-1.3.9-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-01 16:59:55 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2014-10-06 13:47:36 UTC
Description of problem:
rubygem-sqlite3-1.3.9-2.fc21 fails to build on ppc64:

1) Failure:
SQLite3::TestEncoding#test_select_encoding_on_utf_16 [/builddir/build/BUILD/sqlite3-1.3.9/usr/share/gems/gems/sqlite3-1.3.9/test/test_encoding.rb:23]:
Expected: 1
  Actual: 0
  2) Error:
SQLite3::TestEncoding#test_insert_encoding:
SQLite3::SQLException: table ex already exists
    /builddir/build/BUILD/sqlite3-1.3.9/usr/share/gems/gems/sqlite3-1.3.9/lib/sqlite3/database.rb:91:in `initialize'
    /builddir/build/BUILD/sqlite3-1.3.9/usr/share/gems/gems/sqlite3-1.3.9/lib/sqlite3/database.rb:91:in `new'
    /builddir/build/BUILD/sqlite3-1.3.9/usr/share/gems/gems/sqlite3-1.3.9/lib/sqlite3/database.rb:91:in `prepare'
    /builddir/build/BUILD/sqlite3-1.3.9/usr/share/gems/gems/sqlite3-1.3.9/lib/sqlite3/database.rb:134:in `execute'
    /builddir/build/BUILD/sqlite3-1.3.9/usr/share/gems/gems/sqlite3-1.3.9/test/test_encoding.rb:31:in `test_insert_encoding'
232 runs, 371 assertions, 1 failures, 1 errors, 1 skips
You have skipped tests. Run with --verbose for details.
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.cbwx5S (%check)

Version-Release number of selected component (if applicable):
rubygem-sqlite3-1.3.9-2.fc21

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f21 rubygem-sqlite3-1.3.9-2.fc21.src.rpm
2.
3.

Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2133631

Expected results:


Additional info:

Comment 1 Fedora Update System 2014-10-07 12:45:22 UTC
rubygem-sqlite3-1.3.9-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rubygem-sqlite3-1.3.9-3.fc21

Comment 2 Fedora Update System 2014-10-08 19:07:22 UTC
Package rubygem-sqlite3-1.3.9-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-sqlite3-1.3.9-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12387/rubygem-sqlite3-1.3.9-3.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-11-01 16:59:55 UTC
rubygem-sqlite3-1.3.9-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.